Subject: [hybi] hybi-09 refs

From: Julian Reschke <[email-masked]>
Date: Sat, 18 Jun 2011 12:12:53 +0200

Reference check yields:

Normative References:
ANSI.X3-4.1986: not checked
FIPS.180-2.2002: not checked
RFC1951: [INFORMATIONAL] ok
RFC2119: [BEST CURRENT PRACTICE] (-> BCP0014) ok
RFC2616: [DRAFT STANDARD] ok
RFC2817: [PROPOSED STANDARD] ok
RFC2818: [INFORMATIONAL] ok
RFC3490: [PROPOSED STANDARD] obsoleted by RFC5890 RFC5891
RFC3548: [INFORMATIONAL] obsoleted by RFC4648
RFC3629: [STANDARD] (-> STD0063) ok
RFC3864: [BEST CURRENT PRACTICE] (-> BCP0090) ok
RFC3986: [STANDARD] (-> STD0066) ok
RFC3987: [PROPOSED STANDARD] ok
RFC4086: [BEST CURRENT PRACTICE] (-> BCP0106) ok
RFC4648: [PROPOSED STANDARD] ok
RFC5226: [BEST CURRENT PRACTICE] (-> BCP0026) ok
RFC5234: [STANDARD] (-> STD0068) ok
RFC5246: [PROPOSED STANDARD] ok
RFC6066: [PROPOSED STANDARD] ok

Informative References:
draft-ietf-httpstate-cookie-20: Alternate version available: 23, later 
published as: RFC6265
draft-ietf-websec-origin-00: [2010-12-30 ID-Exists] ok
RFC1950: [INFORMATIONAL] ok
RFC5321: [DRAFT STANDARD] ok
RFC6202: [INFORMATIONAL] ok
REC-wsc-ui-20100812: [REC] ok
WSAPI: not checked

Note:

RFC3490: [PROPOSED STANDARD] obsoleted by RFC5890 RFC5891
RFC3548: [INFORMATIONAL] obsoleted by RFC4648
draft-ietf-httpstate-cookie-20: Alternate version available: 23, later 
published as: RFC6265
WSAPI: not checked

The first three should be updated (with IDNA probably being tricky :-().

The last one is

    [WSAPI]    Hickson, I., "The Web Sockets API", August 2010,
               <http://dev.w3.org/html5/websockets/>.

and needs to be updated as well. To enable automated checking with 
<http://greenbytes.de/tech/webdav/rfc2629xslt/rfc2629xslt.html#checking-references>, 
I'd make it:

<reference anchor='WD-websockets'
            target='http://www.w3.org/TR/2011/WD-websockets-20110419/'>
   <front>
     <title>The WebSocket API</title>
     <author fullname='Ian Hickson' surname='Hickson' initials='I.'/>
     <date year='2011' month='April' day='19'/>
   </front>
   <seriesInfo name='W3C Working Draft' value='WD-websockets-20110419'/>
   <annotation>
     Latest version available at
     <eref target='http://www.w3.org/TR/websockets/'/>.
   </annotation>
</reference>

Pimping up the other W3C ref wouldn't hurt either:

<reference anchor='REC-wsc-ui'
            target='http://www.w3.org/TR/2010/REC-wsc-ui-20100812/'>
   <front>
     <title>Web Security Context: User Interface Guidelines</title>
     <author fullname='Anil Saldhana' surname='Saldhana' initials='A.'/>
     <author fullname='Thomas Roessler' surname='Roessler' initials='T.'/>
     <date year='2010' month='August' day='12'/>
   </front>
   <seriesInfo name='W3C Recommendation' value='REC-wsc-ui-20100812'/>
   <annotation>
     Latest version available at
     <eref target='http://www.w3.org/TR/wsc-ui/'/>.
   </annotation>
</reference>

Best regards, Julian

---

From: Ian Fette (イアンフェッティ) <[email-masked]>
Date: Sat, 18 Jun 2011 15:44:41 -0700

Julian, for the REC-wsc-ui, I used what came from
http://xml.resource.org/public/rfc/bibxml4/ - specifically
http://xml.resource.org/public/rfc/bibxml4/reference.W3C.REC-wsc-ui-20100812.xml

I'm not entirely familiar with the formats and conventions, but if something
is amiss, perhaps you can get the maintainer of that database to make
necessary changes there so that others benefit as well?

On Sat, Jun 18, 2011 at 3:12 AM, Julian Reschke <[email-masked]>wrote:

> draft-ietf-httpstate-cookie-**20: Alternate version available: 23, later
> published as: RFC6265
> draft-ietf-httpstate-cookie-**20: Alternate version available: 23, later
> published as: RFC6265
> WSAPI: not checked
>
>
>              <http://dev.w3.org/html5/**websockets/<http://dev.w3.org/html5/websockets/>
> >.
>
> and needs to be updated as well. To enable automated checking with <
> http://greenbytes.de/tech/**webdav/rfc2629xslt/**
> rfc2629xslt.html#checking-**references<http://greenbytes.de/tech/webdav/rfc2629xslt/rfc2629xslt.html#checking-references>>,
> I'd make it:
>
>           target='http://www.w3.org/TR/**2011/WD-websockets-20110419/<http://www.w3.org/TR/2011/WD-websockets-20110419/>
> '>
>  <front>
>  <seriesInfo name='W3C Working Draft' value='WD-websockets-20110419'**/>
>  <annotation>
>    <eref target='http://www.w3.org/TR/**websockets/'/<http://www.w3.org/TR/websockets/'/>
> >.
>  </annotation>
> </reference>
>
>           target='http://www.w3.org/TR/**2010/REC-wsc-ui-20100812/<http://www.w3.org/TR/2010/REC-wsc-ui-20100812/>
> '>
>  <front>
>    <eref target='http://www.w3.org/TR/**wsc-ui/'/<http://www.w3.org/TR/wsc-ui/'/>
> >.
>  </annotation>
> </reference>
>
> Best regards, Julian
> ______________________________**_________________
> hybi mailing list
> [email-masked]
> https://www.ietf.org/mailman/**listinfo/hybi<https://www.ietf.org/mailman/listinfo/hybi>
>

---

From: Julian Reschke <[email-masked]>
Date: Sun, 19 Jun 2011 09:40:34 +0200

On 2011-06-19 00:44, Ian Fette (イアンフェッティ) wrote:
> I'm not entirely familiar with the formats and conventions, but if
> something is amiss, perhaps you can get the maintainer of that database
> to make necessary changes there so that others benefit as well?

I fear the scripts that generate these are currently unmaintained.

(I'm generating the reference entries directly from the W3C TR database, 
and discussed the precise format last year with members of the W3C's 
publication team).

 > ...

Best regards, Julian

---

From: Alexey Melnikov <[email-masked]>
Date: Sun, 19 Jun 2011 14:24:06 +0100

Julian Reschke wrote:

> (I'm generating the reference entries directly from the W3C TR 
> database, and discussed the precise format last year with members of 
> the W3C's publication team).

I wouldn't worry too much about this, RFC Editor is quite good about 
fixing/updating references.